<?php
namespace Claromentis\Documents\Event;

$GLOBALS["__65da1b1e" . "c2d6653e8a" . "0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"] ?: array()) + array("_0ee0a25025d73f8693a4bb37a3c298" . "ac" => base64_decode("Y2hlY2tlZ" . "F9pbl9ieQ" . "=="), "_d5ebf376f635c188ec65813608e6" . "ece5" => base64_decode("bmV3X3Zlcn" . "Npb24="), "_6e38cb9e0" . "43a07cd69a" . "1711a6704c" . "62a" => base64_decode("cGFyZW50X" . "2lk"));
use Claromentis\Core\Event\GenericEvent;


class CheckinDocumentEvent extends GenericEvent
{
    
    
    
    
    private $error_message = '';
    public function GetCheckedInBy()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_0ee0a25025d73f8693a" . "4bb37a3c298ac"]);
    }
    
    
    public function GetNewVersion()
    {
        return $this->getArgument($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d5ebf376f635c188" . "ec65813608e6ece5"]);
    }
    public function GetParentId()
    {
        return $this->getArgument($GLOBALS["__65da1b1" . "ec2d6653e" . "8a0ab7848" . "e536215"]["_6e38cb9e04" . "3a07cd69a17" . "11a6704c62a"]);
    }
    public function GetErrorMessage()
    {
        return $this->error_message;
    }
    public function SetErrorMessage($error_message)
    {
        $this->error_message = $error_message;
    }
}